#
# Unit test for Torque GetStatusListing.pm
#

# load perl code from our tmp directory
use lib "lib";

use strict;

# import functions we want to test
use GetStatusListing qw(get_status_listing);

# how many tests
use Test::More tests => 1;

$main::qstat_cmd = "cat sample1.txt";
$main::debug     = 1;

my $result = "";
open( main::CMD_SOCK, ">>", \$result ) or die;
get_status_listing();
close(main::CMD_SOCK);

print "Resulting QSTAT listing : \n\n " . $result . "\n";

ok(       $result =~ "QSTAT"
      and $result =~ "2676400 RUNNING"
);
